extends Node

const PORT = 12345
const MAX_PLAYERS = 200
onready var server = NetworkedMultiplayerENet.new()


# Called when the node enters the scene tree for the first time.
func _ready():
	server.create_server(PORT, MAX_PLAYERS)
	get_tree().set_network_peer(server)
	get_tree().connect("network_peer_connected", self, "network_peer_connected")
	get_tree().connect("network_peer_disconnected", self, "network_peer_disconnected")


func network_peer_connected(id):
	print('ID ' + str(id) + ' connected')
	var newClient = load("res://remote_client.tscn").instance()
	newClient.set_name(str(id))     # spawn players with their respective names
	get_tree().get_root().add_child(newClient)
	
func network_peer_disconnected(id):
	print("network_peer_disconnected")
	print('ID ' + str(id) + ' disconnected')
	get_node("/root/" + str(id) + "/").queue_free()

remote func call_rpc(hello,id):
	print(hello)
	print(id)
